<div class="modal-header">
  <h4 class="modal-title" jhiTranslate="{{modalTitle}}">Create
    tag</h4>
  <button type="button" class="btn" aria-label="Close" (click)="activeModal.dismiss('close')">
    <i class="bi bi-x-lg"></i>
  </button>
</div>
<div class="modal-body">
  <div class="form-group">
    <label class="form-control-label"
      jhiTranslate="{{isBlock ? 'tagManagement.tag.blockName' : 'tagManagement.tag.name'}}">Tag</label>
    <div>
      <input type="text" class="form-control" [(ngModel)]="name" *ngIf="isEdit" (change)="handleValidate('name')"
        [ngClass]="{'error-input': errors.name.required}">
      <ng-select [items]="[]" [addTag]="addTagFn" (add)="onAddTag($event)" [hideSelected]="true" [multiple]="true"
        [isOpen]="!!this.names.length" [notFoundText]=" this.names.length ?  'Don\'t allow duplicate name' : ''"
        bindLabel="name" placeholder="{{'tagManagement.modal.tagPlaceholder' | translate}}"
        [ngClass]="{'error-select': errors.name.required}" (change)="handleValidate('names')" [(ngModel)]="names"
        *ngIf="!isEdit">
      </ng-select>
    </div>
    <div *ngIf="errors.name.required">
      <small class="form-text text-danger" *ngIf="errors.name.required" jhiTranslate="entity.validation.required">
        This field is required.
      </small>
    </div>
  </div>
  <div class="form-group">
    <label class="form-control-label" jhiTranslate="tagManagement.tag.categories">Categories </label>
    <div>
      <ng-select [items]="categories" [multiple]="true" [closeOnSelect]="false" [searchable]="true" bindLabel="name"
        placeholder="{{'tagManagement.modal.categoriesPlaceholder' | translate}}" [(ngModel)]="selectedCategories"
        [ngClass]="{'error-select': errors.categories.required}" (change)="handleValidate('categories')"
        (clear)="onSearchCategory('')"
        (search)="onSearchCategory($event.term)">
        <ng-template ng-option-tmp let-item="item" let-item$="item$" let-index="index">
          {{item.name}}
        </ng-template>
      </ng-select>
    </div>
    <div *ngIf="errors.categories.required">
      <small class="form-text text-danger" *ngIf="errors.categories.required" jhiTranslate="entity.validation.required">
        This field is required.
      </small>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button type="button" class="btn" (click)="activeModal.dismiss('close')">Cancel</button>
  <button type="button" class="btn btn-primary" (click)="onSubmit()" [disabled]="isDisableSubmit">Save</button>
</div>